Version: Wowza Media Server 3.1.2 patch6

Installation
Copy contents (not the entire folder just the contents) of 
"bin", "conf", "lib" and "lib-native" folders into installed server folders. Remake
any configuration changes that you made.

The install directory ([install-dir]) on the different platforms:

Windows (default): C:\Program Files\Wowza Media Systems\Wowza Media Server [version]
OSX: /Library/WowzaMediaServer
Linux, Unix, Solaris: /usr/local/WowzaMediaServer

Changes

Wowza Media Server 3.1.2 patch6
* Updated Wowza Transcoder to MainConcept 9.5.0 libraries
* Fixed problem where SEI data was not unescaped when extracting from stream and not escaped when inserting into the stream.  This fixed some mp4 streams that would not play after CC insertion
* Implemented SEI insertion callback for Cupertino VOD
* Improved logging of error conditions in DVR PlayReady Encryption
* Improved locking and try/catch in DVR PlayReady Encryption
* Fixed problem where 2 out of sync ABR DVR streams could result in a playlist that was referring to purged chunks resulting in "record does not exist." log messages
* Improved code that determines if a record should be part of the aligned streams or not by using the UTC or PACKET time based playlist request instead of the scaled DVR request
* Improved logging when DVR record is not found and "dvrDebugMbrDetailsWhenRecordDNE" is enabled
* Improved some DVR manager logging statements that were missing context
* Improved IP camera re-streaming to start with OPTION command rather than DESCRIBE command. Seems to fix authentication for several cameras
* Fixed DVR MBR problem where last chunk could be omitted from playlist
* Improved efficiency of shifting DVR entries for long sets of data after purges
* Fixed incorrect duration in San Jose MBR DVR chunks when many chunks are missing and shifting occurs
* Fixed case where DVR Smooth streaming could return malformed XML when expected streams were not present
* Fixed problem with HTTP origin when using SMIL file with audioonly rendition with Apple HLS
* Improved MP4 seek and read-ahead performance by optimizing cursor access to chunkToLoc structure
* Improved synchronization in MediaReaderH264 in read ahead code
* Set RTP marker bit when streaming MPEG-TS over RTP per RFC2250
* Added boolean Transcoder/Properties property behindFilterLog to enable logging of detailed transcoder behind filter information
* Fixed problem with file extension being logged in URI fields improperly
* Version: 3.1.2.06 build1753

Wowza Media Server 3.1.2 patch5
* Fixed problem where DVR recorder was using streamName as recording name instead of name set via onLiveStreamDvrRecorderCreate callback
* Improved synchronization and added try/catch around a few missing IO functions for RTMP streaming
* Added DVR/Properties property "dvrCupertinoPlaylistAllowCaching" (Boolean, default:false) to allow control of #EXT-X-ALLOW-CACHE
* Added httpRandomMediaName property to all packetizer to enable single switch to turn on feature
* Added DVR MBR property "dvrDebugMbrDetailsWhenRecordDNE" (Boolean, default: false) to provide additional logging details when alignment cannot find suitable alternate record
* Added DVR encryption delegate implementation that adds logging of encryption info per request.  Turned on by setting DVR Property dvrPlaylistEncryptionInfoDelegate to "com.wowza.wms.dvr.impl.DvrLoggingEncryptionInfoDelegate"
* Added check that DVR Cupertino encryption info isValid() before using it in manifest or chunk delivery
* Tightened up DVR Cupertino encryption logic, including added some additional try/catch and additional checking for unusual conditions
* Added detailed logging if DVR Cupertino encryptor fails upon initialization or during encryption
* Fixed NALUnit parsing case where last trailing bytes could be skipped
* Version: 3.1.2.05 build1699

Wowza Media Server 3.1.2 patch4
* Fixed potential synchronization problem with HTTP adaptive streaming file indexes
* Improved HTTP session counting synchronization
* Improved HTTP streaming session life cycle synchronization
* Fixed smooth streaming "Pragma" header to use proper cache control settings
* Added support for MP3 files when using cupertinoPacketizeAllStreamsAsTS property
* Version: 3.1.2.04 build1681

Wowza Media Server 3.1.2 patch3
* Added code to optimize file reading for HTTP streaming (re-orders and groups reads where it can) turned off by default, can be turned on by setting boolean property MediaReader/Properties httpOptimizeFileReads to true.
* Added string property MediaReader/Properties randomAccessReadOptimizerClass to configured custom IRandomAccessReadOptimizer implementation
* Added code to decrypt PlayReady files on the fly for HTTP vod delivery
* Improved context information in warning message when DVR manifest parser cannot find the sub-folder's manifest file
* Fixed DVR issue where the DVR mbr alignment manager was not releasing memory on shutdown of DVR store 
* Removed class FasterByteArrayOutputStreamInterleave because it is not used
* Fixed synchronization bug in livestreampacketizer base class that was leading to "Too many packets in event queue, pausing" warning
* Added boolean HTTPStreamer/Properties property cupertinoPacketizeAllStreamsAsTS to force audio-only video on demand streams to be packetized as TS chunks (this is more compatible with some non-Apple HLS players, default is false)
* Added boolean LiveStreamPacketizer/Properties property cupertinoPacketizeAllStreamsAsTS to force audio-only live streams to be packetized as TS chunks (this is more compatible with some non-Apple HLS players, default is false)
* Version: 3.1.2.03 build1668

Wowza Media Server 3.1.2 patch2
* Improved Apple HLS chunking code so that it will properly report the audio codec if audio is not present in code lock period
* Improved DVR chunk purging code to ensure unpurged AVD chunks remain in alignment
* Fixed problem where large DVR stores would update the manifest.txt during the initial reading of the DVR store
* Fixed problem where empty DVR/Store property defaulted to dvrfilestorage type.  This caused edge servers to try to pull from disk if they happened to be running on same machine as the origin machine
* Added file IO read optimizer class for video on demand streaming, only hooked up to Apple HLS and turned off by default for now
* Version: 3.1.2.02 build1660

Wowza Media Server 3.1.2 patch1
* Added packet validation code to transcoder for Speex decoding
* Added faster BitReader implementation
* Fixed problem in DVR Smooth manifest where DvrWindowDuration was incorrectly set to smaller of total DVR duration and specified DVR sliding window length.  In cases where DVR sliding window had not been reached, Silverlight player would total length shorter than it actually was.
* Improved Smooth Streaming log message when DVR store not found by adding requested store name to message
* Changed Speex library to be staticly linked into transcoder
* Changed names of Linux shared libraries to match renditions returned through ldd
* Improved Speex decoder to be more fault tolerant
* Removed libvorbisenc.so which is no longer needed
* Improved DVR MBR Smooth streaming MBR chunk retrieval algorithm to better handle near time misses
* Fixed problem with replay of Flash HDS and Apple HLS audio only vod streams
* Added LiveStreamPacketizer property maxEventCount to control maximum allowed event queue size before it is suspended to avoid memory runnup (default is 10000)
* Improved logging of condition when LiveStreamPacketizer event queue is suspended due to overrun
* Fixed problem where once the LiveStreamPacketizer queue was overrun it was not properly flushed
* Improved accuracy of Apple HLS audio only start codes
* Version: 3.1.2.01 build1647

